Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.e4.editor
Class ECPE4Editor

    java.lang.Object
      org.eclipse.emf.ecp.ui.e4.editor.ECPE4Editor

    public class ECPE4Editor

extends Object

Editor displaying one `EObject`.

Author:
  Jonas

Field Summary
`static String` | `INPUT` Key to set the input of the editor into the `IEclipseContext`.

Constructor Summary
`ECPE4Editor(org.eclipse.swt.widgets.Composite composite, org.eclipse.swt.widgets.Shell shell)` Default constructor.

Method Summary
`void` | `setInput(org.eclipse.emf.ecore.EObject modelElement, ECPProject ecpProject, org.eclipse.e4.ui.model.application.ui.basic.MPart part)` Sets the input of the editor part.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INPUT

    public static final String INPUT

  Key to set the input of the editor into the `IEclipseContext`.

  See Also:
    Constant Field Values

Constructor Detail

### ECPE4Editor

    @Inject
    public ECPE4Editor(org.eclipse.swt.widgets.Composite composite,
                              org.eclipse.swt.widgets.Shell shell)

  Default constructor.

  Parameters:
    `composite` - the parent composite.
    `shell` - to retrieve the display from. Used to retrieve the system colors.

Method Detail

### setInput

    @Inject
    public void setInput(@Optional@Named(value="ecpEditorInput")
                                org.eclipse.emf.ecore.EObject modelElement,
                                @Optional
                                ECPProject ecpProject,
                                org.eclipse.e4.ui.model.application.ui.basic.MPart part)

  Sets the input of the editor part.

  Parameters:
    `modelElement` - the `EObject` to be opened
    `ecpProject` - the `ECPProject` in which the `EObject` is contained
    `part` - the corresponding `MPart`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.